'use strict';
angular.module('PottersApp',
               ['ngAnimate', 'ngCookies',
                'ngTouch', 'ngSanitize',
                'ngResource', 'ui.router', 'ngRoute',
                'LifeOnResortServices', 'angular-loading-bar',
                'BreakPlannerServices', 'SpecialsServices', 'PottersMenu',
                'FrontPageServices', 'LocalStorageModule',
                'famous.angular'])
.config(function ($stateProvider, $urlRouterProvider) {
    $stateProvider
    .state('home', {
        url: '/',
        templateUrl: 'views/main.html',
        controller: 'MainCtrl'
    })
    .state('news', {
        url: '/news',
        templateUrl: 'views/news.html',
        controller: 'ArticleListCtrl'
    })
    .state('info', {
        url: '/info',
        templateUrl: 'views/info.html'
    })
    .state('specials', {
        url: '/specials',
        templateUrl: 'views/specials.html',
        controller: 'SpecialDetailCtrl'
    })
    .state('win', {
        url: '/win',
        templateUrl: 'views/win.html'
    })
    .state('article', {
        url: '/news/:articleid',
        templateUrl: 'views/article.html',
        controller: 'ArticleDetailCtrl'
    })
    .state('planner', {
        url: '/planner',
        templateUrl: 'views/planner.html',
        controller: 'BreakPlannerCtrl'
    })
    $urlRouterProvider.otherwise('/');  
})
.directive('ngHtmlCompile', function($compile) {
    return {
        restrict: 'A',
        link: function(scope, element, attrs) {
            scope.$watch(attrs.ngHtmlCompile, function(newValue, oldValue) {
                element.html(newValue);
                $compile(element.contents())(scope);
            });
        }
    }
});