angular.module('PottersApp')
.controller('MainCtrl',function ($scope, $rootScope, $famous, $location, $state, $http, $timeout, localStorageService, fetchFront, fetchFeature, fetchActs, menuData) {		 
	var View = $famous['famous/core/View'];
	var Modifier = $famous['famous/core/Modifier'];
	var Surface = $famous['famous/core/Surface'];
	var Transform = $famous['famous/core/Transform'];
	var Transitionable = $famous['famous/transitions/Transitionable'];
	var Easing = $famous['famous/transitions/Easing'];
	var EventHandler = $famous['famous/core/EventHandler'];
	var Engine = $famous['famous/core/Engine'];
	// Page Routing Transitions
	$rootScope.$on('$locationChangeStart', function(event) {
		$rootScope.$broadcast('transition_out');
	});
	$rootScope.$on('$locationChangeSuccess', function(event) {
		$rootScope.$broadcast('transition_in'); 	
	});
	var Transitionable  = $famous["famous/transitions/Transitionable"];
	$scope.opacity = new Transitionable(0);
	$rootScope.$on('transition_out', function () {
		$scope.opacity.set(0);
	});
	$rootScope.$on('transition_in', function () {
		$scope.opacity.set(1, {duration: 1500, curve: 'easeOut'});
	});
	if ($scope.front == null) {
		fetchFront.getFront().then(function (response) {
			$scope.front = response;
			$rootScope.$broadcast('fetchedFront', response);
			localStorageService.add('frontfeature', $scope.front);
		})
	} else {
		fetchFront.getFront().then(function (response) {
			$rootScope.$broadcast('fetchedFront', response);
			localStorageService.add('frontfeature', $scope.front);
			$scope.front = localStorageService.get('frontfeature');
		})
	}
	if ($scope.featured == null) {
		fetchFeature.getFeatured().then(function (response) {
			$scope.featured = response;
			$rootScope.$broadcast('fetchedFeature', response);
			localStorageService.add('fetchedfeatured', $scope.featured);
		})
	} else {
		fetchFeature.getFeatured().then(function (response) {
			$rootScope.$broadcast('fetchedFeature', response);
			localStorageService.add('fetchedfeatured', $scope.featured);
			$scope.featured = localStorageService.get('fetchedfeatured');
		})
	}
	if ($scope.acts == null) {
		fetchActs.getActs().then(function (response) {
			$scope.acts = response;
			$rootScope.$broadcast('fetchedAct', response);
			localStorageService.add('fetchedact', $scope.acts);
		})
	} else {
		fetchActs.getActs().then(function (response) {
			$rootScope.$broadcast('fetchedAct', response);
			localStorageService.add('fetchedact', $scope.acts);
			$scope.acts = localStorageService.get('fetchedact');
		})
	}
	// side navigation
	$scope.menuToggleStatus = true;
	$scope.sideTransitionable1 = new Transitionable([0, 0, 0]);
	$scope.sideTransitionable2 = new Transitionable([-191, 0, 1]);
	$scope.sideTransitionable3 = new Transitionable([0, -Math.PI/2.5, 0]);
	$scope.menuOpacity = {
		opacity: new Transitionable(1)
	};
	$scope.menuToggle = function($event){
		if ($scope.menuToggleStatus)  {
			//$scope.sideTransitionable1.set([191, 0, 0], {duration: 500, curve: 'easeInOut'});
			$scope.sideTransitionable1.set([191, 0, 0], {duration: 500, curve: 'easeInOut'});
			$scope.menuOpacity.opacity.set(1, {duration: 500, curve: 'easeInOut'});
			$scope.sideTransitionable3.set([0, 0, 0], {duration: 500, curve: 'easeInOut'});
		} else {
			$scope.sideTransitionable1.set([0, 0, 0], {duration: 500, curve: 'easeInOut'});
			$scope.menuOpacity.opacity.set(0, {duration: 500, curve: 'easeInOut'});
			$scope.sideTransitionable3.set([0, -Math.PI/2.5, 0], {duration: 500, curve: 'easeInOut'});
		}
		$scope.menuToggleStatus = ! $scope.menuToggleStatus;
	};
	$scope.sideNavElements = menuData;
	$scope.navigateMainMenu = function (navigateTo) {
		$state.go("app.navid", {navid: navigateTo});
	};
	$scope.animateDetail = new Transitionable([35,600,5]);
	$scope.menu3 = new Transitionable([0,600,2]);
	$scope.menu4 = new Transitionable([0,600,2]);
});