angular.module('LifeOnResortServices', [])
.factory('fetchArticles', ['$http', '$rootScope',
                           function ($http, $rootScope) {
                               var articles = [];
                               return {
                                   getArticles: function () {
                                       return $http.get('http://www.pottersholidays.com/json-articles').then(function (response) {
                                           articles = response.data;
                                           $rootScope.$broadcast('fetchedArticles', articles);
                                           return articles;
                                       })
                                   }
                               };
                           }]);
angular.module('BreakPlannerServices', [])
.factory('fetchBreaks', ['$http', '$rootScope',
                         function ($http, $rootScope) {
                             var breaks = [];
                             return {
                                 getBreaks: function () {
                                     return $http.get('http://www.pottersholidays.com/json-breaks').then(function (response) {
                                         breaks = response.data;
                                         $rootScope.$broadcast('fetchedBreaks', breaks);
                                         return breaks;
                                     })
                                 }
                             };
                         }])
.filter('nl2br', function(){
    return function(text) {
        return text.replace(/\n/g, '<br/>');
    };
});
angular.module('FrontPageServices', [])
.factory('fetchFront', ['$http', '$rootScope',
                        function ($http, $rootScope) {
                            var front = [];
                            return {
                                getFront: function () {
                                    return $http.get('http://www.pottersholidays.com/json-features').then(function (response) {
                                        front = response.data;
                                        $rootScope.$broadcast('fetchedFront', front);
                                        return front;
                                    })
                                }
                            };
                        }])
.factory('fetchFeature', ['$http', '$rootScope',
                          function ($http, $rootScope) {
                              var featured = [];
                              return {
                                  getFeatured: function () {
                                      return $http.get('http://www.pottersholidays.com/json-featured').then(function (response) {
                                          featured = response.data;
                                          $rootScope.$broadcast('fetchedFeature', featured);
                                          return featured;
                                      })
                                  }
                              };
                          }]);
angular.module('SpecialsServices', [])
.factory('fetchActs', ['$http', '$rootScope',
                       function ($http, $rootScope) {
                           var acts = [];
                           return {
                               getActs: function () {
                                   return $http.get('http://www.pottersholidays.com/json-stars').then(function (response) {
                                       acts = response.data;
                                       $rootScope.$broadcast('fetchedAct', acts);
                                       return acts;
                                   })
                               }
                           };
                       }]);
angular.module('PottersMenu', [])
.factory('menuData', function () {
    var menuObject = [
        {
            iconUrl: 'img/menu/home.png',
            navUrl: '#/',
            bgcolor: 'rgba(25, 24, 26, 1)',
            navID: '1'
        },
        {
            iconUrl: 'img/menu/news.png',
            navUrl: '#/news',
            bgcolor: 'rgba(25, 24, 26, 1)',
            navID: '2'
        },
        {
            iconUrl: 'img/menu/planner.png',
            navUrl: '#/planner',
            bgcolor: 'rgba(25, 24, 26, 1)',
            navID: '3'
        },
        {
            iconUrl: 'img/menu/info.png',
            navUrl: '#/info',
            bgcolor: 'rgba(25, 24, 26, 1)',
            navID: '4'
        },
        {
            iconUrl: 'img/menu/specials.png',
            navUrl: '#/specials',
            bgcolor: 'rgba(25, 24, 26, 1)',
            navID: '5'
        },
        {
            iconUrl: 'img/menu/win.png',
            navUrl: '#/win',
            bgcolor: 'rgba(25, 24, 26, 1)',
            navID: '6'
        }
    ];
    return menuObject;
}); 